GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Get employee payment details for a company

Fetches payment details for employees in a given company. Results are paginated.

Use the employee_uuid query parameter to filter for a single employee. Use the payroll_uuid query parameter to filter for employees on a specific payroll. Providing both employee_uuid and payroll_uuid will result in a 400 error. An empty array is returned if the company has no employees or if no employees match the filter criteria.

The encrypted_account_number in the splits array is only visible if the employee_payment_methods:read:account_number scope is present.

Base scope: employee_payment_methods:read

Path Params
string
required

The UUID of the company

Query Params
string

The UUID of a specific employee to fetch payment details for.

string

The UUID of a specific payroll to fetch payment details for employees on that payroll.

integer

The page that is requested. When unspecified, will load all objects unless endpoint forces pagination.

integer

Number of objects per page. For majority of endpoints will default to 25

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

404

Not Found

The requested resource does not exist. Make sure the provided UUID is valid.

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json